association/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.index, name='page_accueil'),
    path('contact', views.contact, name='page_contact'),

    path('pdg/', include('authentification.urls')),
    path('core/', include('core.urls')),

    path('admin/', admin.site.urls),
]

authentification/urls.py
from django.urls import path
from . import views

app_name = 'pdg'
urlpatterns = [
    path('authentification/', views.registration, name='page_inscription'),

    # Route pour authentification
    path('login/', views.login_pdg, name='login'),
    path('registration/', views.registration_pdg, name='registration'),
    path('logout/', views.logout_pdg, name='logout'),
]

core/urls.py
from django.urls import path
from . import views

app_name = 'core'
urlpatterns = [

     # Route des pages autorisées aux utilisateurs connectés
     path('tableau-de-bord/', views.dashbord_pdg, name='page_dashbord'),
     path('mon-profil/', views.profile_pdg, name='page_profile'),
     path('creation-de-groupe/', views.create_group_pdg, name='page_new_group'),
     path('rejoindre-un-groupe/', views.join_group_pdg, name='page_join_group'),
     path('mes-groupes/', views.groups_pdg, name='page_groups'),
     path('mon-groupe/<str:code>/detail/',
          views.group_detail_pdg, name='page_detail_group'),
     path('mes-messages/', views.messages_pdg, name='page_messages'),
     path('validation-en-attente/',
          views.atendance_validation_pdg, name='page_validation'),
     path('validation-en-attente/<str:id>/validate/', views.groupe_validation, name='page_validate'),
     path('configuration/', views.settings_pdg, name='page_settings'),
]

association/views.py
#!/usr/bin/env python
# -*- coding: utf-8 -*-*
from django.shortcuts import render
from django.contrib import messages


def index(request):
    data = {
        'page': {
            'title': 'Bienvenue',
            'title_desc': 'Akwaba',
        },
    }
    return render(request, 'index.html', data)


def contact(request):
    data = {
        'page': {
            'title': 'Charabia',
            'title_desc': 'Akwaba',
        },
    }
    return render(request, 'contact.html', data)

association/templates/base/banner.html
<section id="inner-banner-2">
        <div class="container">
            <div class="row">

                <div class="col-md-12 text-center">
                    <div class="inner_banner_2_detail">
                        <h2>{{ page.title }}</h2>
                        <p><a href="{% url 'page_accueil' %}">Accueil</a> <i class="fa fa-angle-double-right" aria-hidden="true"></i> {{ page.title }}</p>
                    </div>
                </div>

            </div>
        </div>
    </section>

association/templates/base/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <title>Association - {{ page.title }}</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/master.css'  %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/color-green.css'  %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/association/style.css'  %}">
    <link rel="shortcut icon" href="{% static 'images/short_icon.png'  %}">
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

</head>

<body>

    {########### Loader  ########}
    <div class="loader">
      <div class="cssload-svg"><img src="{% static 'images/42-3.gif' %}" alt="image">
      </div>
    </div>

    {########### Header  ########}
    {% include 'base/header.html' %}

    {########### Banner  ########}
    {% include 'base/banner.html' %}

    {########### Content  ########}
    {% block content %} {% endblock %}

    {########### Footer  ########}
    {% include 'base/footer.html' %}


    <script src="{% static 'js/jquery.2.2.3.min.js'  %}"></script>
    <script src="{% static 'js/bootstrap.min.js'  %}"></script>
    <script src="{% static 'js/jquery.appear.js'  %}"></script>
    <script src="{% static 'js/jquery-countTo.js'  %}"></script>
    <script src="{% static 'js/owl.carousel.min.js'  %}"></script>
    <script src="{% static 'js/jquery.fancybox.min.js'  %}"></script>
    <script src="{% static 'js/bootsnav.js'  %}"></script>
    <script src="{% static 'js/zelect.js'  %}"></script>
    <script src="{% static 'js/dropzone.min.js'  %}"></script>
    <script src="{% static 'js/parallax.min.js'  %}"></script>
    <script src="{% static 'js/modernizr.custom.26633.js'  %}"></script>
    <script src="{% static 'js/jquery.gridrotator.js'  %}"></script>
    <script src="{% static 'js/functions.js'  %}"></script>
</body>

</html>

association/templates/base/footer.html
{% load static %}
<footer id="footer_1" class="bg_blue p_t70 p_b30">
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <div class="footer_logo">
                        <img src="{% static 'images/logo-footer.png' %}" alt="image" />
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12 text-center">
                    <ul class="footer_link">
                        <li><a href="index.html">Home</a>
                        </li>
                        <li><a href="listing.html">Browse Category</a>
                        </li>
                        <li><a href="listing-3.html">Listinge</a>
                        </li>
                        <li><a href="blog.html">Our Blog</a>
                        </li>
                        <li><a href="contact.html">Contact Us</a>
                        </li>
                    </ul>
                </div>
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <div class="header-top-links">
                        <div class="social-icons text-right">
                            <ul>
                                <li><a href="#"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                </li>
                                <li><a href="#"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                </li>
                                <li><a href="#"><i aria-hidden="true" class="fa fa-dribbble"></i></a>
                                </li>
                                <li><a href="#"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
                                </li>
                                <li><a href="#"><i class="fa fa-vimeo" aria-hidden="true"></i></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer_line"></div>
        </div>
        <div class="footer_botom">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 col-md-6 col-sm-12">
                        <p>Copyrights © 2017 Find Do Directory. All rights reserved.</p>
                    </div>
                    <div class="col-md-6 col-md-6 col-sm-12 text-right">
                        <p>Made with <i class="fa fa-heart-o" aria-hidden="true"></i> by <a href="https://themeforest.net/user/99_design">99_Design</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>

association/templates/base/header.html
{% load static %}
    <header id="main_header_2">
        <div id="header-top">
            <div class="container">
                <div class="row">

                    <div class="col-md-8 col-sm-8 col-xs-12">
                        <div class="top-contact">
                            <p>Pour plus d'informations appeler: <span>+225 45 73 48 48</span> ou nous écrire à: <span>info@pythondevelopersgroup.tech</span>
                            </p>
                        </div>
                    </div>

                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <div class="top_right_links2">
                            <ul class="top_links">
                                {% if user.is_authenticated %}
                                    <li><a href="{% url 'core:page_dashbord' %}"><i class="fa fa-user-o" aria-hidden="true"></i> Admin</a> </li>
                                    <li><a href="{% url 'pdg:logout' %}"><i class="fa fa-lock" aria-hidden="true"></i> Deconnexion</a> </li>
                                {% else %}
                                    <li><a href="{% url 'pdg:page_inscription' %}"><i class="fa fa-unlock" aria-hidden="true"></i> Connexion / Inscription</a> </li>
                                {% endif %}
                            </ul>
                        </div>
                    </div>
                    <div class="top_right_links2-bg"></div>

                </div>
            </div>
        </div>
        <nav class="navbar navbar-default navbar-sticky bootsnav">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <!-- Start Header Navigation -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu"> <i class="fa fa-bars"></i>
                            </button>
                            <a class="navbar-brand sticky_logo" href="index.html"><img src="{% static 'images/logo.png' %}" class="logo" alt="">
                            </a>
                        </div>
                        <!-- End Header Navigation -->
                        <div class="collapse navbar-collapse" id="navbar-menu">
                            <ul class="nav navbar-nav navbar-right" data-in="fadeInDown" data-out="fadeOutUp">
                            
                                <li><a href="{% url 'page_accueil' %}">Accueil</a>
                                <li><a href="#">Presentation</a>
                                <li><a href="#">Comment ça marche</a>
                                <li><a href="{% url 'page_contact' %}">Contact</a>
                                
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </header>

association/templates/base/pagination.html
<div class="bs-example" data-example-id="disabled-active-pagination">
    <nav aria-label="...">
        <ul class="pagination">
            {% if page.has_previous %}
                <li class="disabled">
                    <a href="?page={{ page.previous_page_number }}" aria-label="Previous">
                        <span aria-hidden="true">« Précedent</span>
                    </a>
                </li>
            {% endif %}

            <li> {{ page.number }} sur {{ page.paginator.num_pages }} </li>

            {% if page.has_next %}
            <li>
                <a href="?page={{ page.next_page_number }}" aria-label="Next">
                    <span aria-hidden="true"> Suivant »</span>
                </a>
            </li>
            {% endif %}
        </ul>
    </nav>
</div>